API referenceConsumerConsumer.vspaces
Set the default exit route for a VSpace
Updates the ordered default exit route used by members of the selected VSpace when they do not have a member-specific override.
Authorization
bearer_auth AuthorizationBearer <token>
In: header
Path Parameters
id*string
VSpace ID
Format
uuidHeader Parameters
X-Project-Id*string
UUID of the project that scopes consumer accounts, devices, sessions, and VSpaces for the request.
Format
uuidRequest Body
application/json
Ordered list of device IDs to use as the new default exit route, or null to clear the route.
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X PUT "https://example.com/consumer/v1/vspaces/44444444-4444-4444-4444-444444444444/exit-route" \ -H "X-Project-Id: 11111111-1111-1111-1111-111111111111" \ -H "Content-Type: application/json" \ -d '{ "route": [ "55555555-5555-5555-5555-555555555555", "77777777-7777-7777-7777-777777777777" ] }'{ "consumer_account_id": "22222222-2222-2222-2222-222222222222", "created_at": "2026-04-12T09:40:00Z", "default_exit_route": [ "55555555-5555-5555-5555-555555555555", "77777777-7777-7777-7777-777777777777" ], "id": "44444444-4444-4444-4444-444444444444", "ipv4_cidr": "100.101.0.0/24", "ipv6_cidr": "fd7a:115c:a1e0:efe3::/64", "name": "Default Workspace", "status": "active", "updated_at": "2026-04-12T10:15:00Z", "vni": 4100}{ "detail": "Pool slug must be unique.", "instance": "urn:forestvpn:trace:a1b2c3d4", "title": "Validation Error", "type": "https://fvpn.net/errors/validation"}{ "detail": "Pool slug must be unique.", "instance": "urn:forestvpn:trace:a1b2c3d4", "title": "Validation Error", "type": "https://fvpn.net/errors/validation"}{ "detail": "Pool slug must be unique.", "instance": "urn:forestvpn:trace:a1b2c3d4", "title": "Validation Error", "type": "https://fvpn.net/errors/validation"}{ "detail": "Pool slug must be unique.", "instance": "urn:forestvpn:trace:a1b2c3d4", "title": "Validation Error", "type": "https://fvpn.net/errors/validation"}